wxRuby Documentation Home

# Wx::HtmlLinkEvent

This event class is used for the events generated by HtmlWindow.

## Derived from

CommandEvent

Event

Object

## Event handling

To process an HtmlLinkEvent, use one of these event handler methods to
direct an event to a block that takes a
HtmlLinkEvent argument:

evt_html_link_clicked(id) { | event | … } | User clicked on an hyperlink.

## Methods

- HtmlLinkEvent.new
- HtmlLinkEvent#get_link_info

### HtmlLinkEvent.new

_hyperlink_event(%(arg-type)Integer% id, HtmlLinkInfo linkinfo)

The constructor is not normally used by the user code.

### HtmlLinkEvent#get_link_info

HtmlLinkInfo get_link_info()

Returns the HtmlLinkInfo which contains info about the cell clicked and the hyperlink it contains.

[This page automatically generated from the Textile source at 2023-06-09 00:45:35 +0000]